### Method

# ECal ComponentAlarmInstance set_rid

since: 3.40

#### Declaration [src]

    void
    e_cal_component_alarm_instance_set_rid (
      ECalComponentAlarmInstance* instance,
      const gchar* rid
    )

#### Description [src]

Set the Recurrence ID of the component this `instance` was generated for.

Available since: 3.40

#### Parameters

`rid`

  Type: `const gchar*`

  Recurrence UID to set, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.